import { ExtractDto } from "ts-extractor";
import { SerializedApiItem, ReferenceRenderHandler } from "../contracts/serialized-api-item";
export declare abstract class BaseApiItemClass<TKind> implements SerializedApiItem<TKind> {
    private extractedData;
    private apiItem;
    constructor(extractedData: ExtractDto, apiItem: TKind);
    protected readonly ExtractedData: ExtractDto;
    readonly ApiItem: TKind;
    protected DefaultReferenceRenderer: ReferenceRenderHandler;
    abstract ToText(render?: ReferenceRenderHandler): string[];
    ToInlineText(render?: ReferenceRenderHandler): string;
}
