import { Contracts, ExtractDto } from "ts-extractor";
import { ReferenceRenderHandler, SerializedApiDefinition } from "../contracts/serialized-api-item";
import { BaseApiItemClass } from "../abstractions/base-api-item";
import { ApiItemReference } from "../contracts/api-item-reference";
export declare class ApiDefinitionDefault<TKind extends Contracts.ApiBaseDefinition = Contracts.ApiBaseDefinition> extends BaseApiItemClass<TKind> implements SerializedApiDefinition<TKind> {
    private reference;
    constructor(extractedData: ExtractDto, apiItem: TKind, reference: ApiItemReference);
    readonly ParentItem: SerializedApiDefinition<Contracts.ApiDefinition> | undefined;
    readonly Reference: ApiItemReference;
    readonly Name: string;
    ToText(render?: ReferenceRenderHandler): string[];
    ToInlineText(render?: ReferenceRenderHandler | undefined): string;
    ToHeadingText(): string;
}
