import { Contracts } from "ts-extractor";
import { SerializedApiType, ReferenceRenderHandler } from "../contracts/serialized-api-item";
import { BaseApiItemClass } from "../abstractions/base-api-item";
import { ApiDefinitions } from "./api-definition-list";
export declare abstract class ApiTypeBase<TKind extends Contracts.ApiBaseType> extends BaseApiItemClass<TKind> implements SerializedApiType<TKind> {
    protected GetSerializedApiDefinition(referenceId: string): ApiDefinitions;
    protected SerializedTypeToString(render: ReferenceRenderHandler, apiType: SerializedApiType | undefined): string;
}
