import { Contracts } from "ts-extractor";
import { ApiTypeBase } from "./api-type-base";
import { ApiDefinitions } from "./api-definition-list";
import { ApiTypes } from "./api-type-list";
import { ReferenceRenderHandler } from "../contracts/serialized-api-item";
export declare abstract class ApiTypeReferenceBase<TKind extends Contracts.ApiReferenceBaseType> extends ApiTypeBase<TKind> {
    private referenceItem;
    readonly ReferenceItem: ApiDefinitions | undefined;
    protected GetTypeParameters(typeParameters: Contracts.ApiType[] | undefined): ApiTypes[] | undefined;
    protected TypeParametersToString(render: ReferenceRenderHandler, apiItem: ApiTypes[] | undefined): string;
}
