import { Contracts } from "ts-extractor";
import { ApiTypes } from "../api-type-list";
import { ApiDefinitionContainer } from "../api-definition-container";
import { ApiTypeParameter } from "./api-type-parameter";
import { ReferenceRenderHandler } from "../../contracts/serialized-api-item";
export declare class ApiClass extends ApiDefinitionContainer<Contracts.ApiClassDto> {
    private typeParameters;
    readonly TypeParameters: ApiTypeParameter[];
    private extends;
    readonly Extends: ApiTypes | undefined;
    private implements;
    readonly Implements: ApiTypes[];
    ToText(render?: ReferenceRenderHandler): string[];
    ToHeadingText(): string;
}
