import { Contracts } from "ts-extractor";
import { ApiEnumMember } from "./api-enum-member";
import { ApiDefinitionBase } from "../api-definition-base";
import { ReferenceRenderHandler } from "../../contracts/serialized-api-item";
export declare class ApiEnum extends ApiDefinitionBase<Contracts.ApiEnumDto> {
    private enumMembers;
    readonly EnumMembers: ApiEnumMember[];
    ToText(render?: ReferenceRenderHandler): string[];
    ToHeadingText(): string;
}
