import { Contracts } from "ts-extractor";
import { ApiTypeBase } from "../api-type-base";
import { SerializedApiType, ReferenceRenderHandler } from "../../contracts/serialized-api-item";
/**
 * Example: `Foo[T]`
 */
export declare class ApiIndexedAccess extends ApiTypeBase<Contracts.IndexedAccessTypeDto> {
    private objectType;
    readonly ObjectType: SerializedApiType;
    private indexType;
    readonly IndexType: SerializedApiType;
    ToText(render?: ReferenceRenderHandler): string[];
}
