import { GeneratorConfiguration } from "./contracts/generator-configuration";
import { FileResult } from "./contracts/file-result";
export declare class Generator {
    private configuration;
    constructor(configuration: GeneratorConfiguration);
    private pluginResultRegistry;
    private fileManager;
    private outputData;
    readonly OutputData: ReadonlyArray<FileResult>;
    WriteToFiles(): Promise<void>;
    private getItemPluginResult;
    private renderApiItem(apiItemReference, apiItem);
}
