import { Contracts } from "ts-extractor";
import { SupportedApiItemKindType, PluginResult, PluginOptions } from "../contracts/plugin";
import { FunctionLikePlugin } from "../abstractions/function-like-plugin";
export declare type CallableApiItem = Contracts.ApiCallDto | Contracts.ApiMethodDto | Contracts.ApiConstructDto;
export declare class ApiCallablePlugin extends FunctionLikePlugin<CallableApiItem> {
    SupportedApiDefinitionKind(): SupportedApiItemKindType[];
    private resolveSerializedApiItem(extractedData, apiItem, reference);
    Render(options: PluginOptions, apiItem: CallableApiItem): PluginResult<CallableApiItem>;
}
