import { Contracts } from "ts-extractor";
import { SupportedApiItemKindType, PluginOptions, PluginResult } from "../contracts/plugin";
import { BasePlugin } from "../abstractions/base-plugin";
export declare type Kind = Contracts.ApiSetAccessorDto | Contracts.ApiGetAccessorDto;
export declare class ApiClassAccessorPlugin extends BasePlugin<Kind> {
    SupportedApiDefinitionKind(): SupportedApiItemKindType[];
    Render(options: PluginOptions, apiItem: Kind): PluginResult;
}
