import { Contracts } from "ts-extractor";
import { SupportedApiItemKindType, PluginOptions, PluginResult } from "../contracts/plugin";
import { FunctionLikePlugin } from "../abstractions/function-like-plugin";
export declare class ApiClassMethodPlugin extends FunctionLikePlugin<Contracts.ApiClassMethodDto> {
    SupportedApiDefinitionKind(): SupportedApiItemKindType[];
    CheckApiItem(item: Contracts.ApiDefinition): boolean;
    Render(options: PluginOptions, apiItem: Contracts.ApiClassMethodDto): PluginResult;
}
