import { Contracts } from "ts-extractor";
import { SupportedApiItemKindType, PluginOptions, PluginResult } from "../contracts/plugin";
import { ContainerPlugin, ContainerMembersKindsGroup } from "../abstractions/container-plugin";
export declare class ApiNamespacePlugin extends ContainerPlugin<Contracts.ApiNamespaceDto> {
    SupportedApiDefinitionKind(): SupportedApiItemKindType[];
    static readonly MemberKindsList: ContainerMembersKindsGroup[];
    Render(options: PluginOptions, apiItem: Contracts.ApiNamespaceDto): PluginResult;
}
