import { Contracts, ExtractDto } from "ts-extractor";
import { BasePlugin } from "./base-plugin";
import { PluginResultData } from "../contracts/plugin";
import { ApiTypes } from "../api-items/api-type-list";
import { ApiParameter } from "../api-items/definitions/api-parameter";
export declare abstract class FunctionLikePlugin<TKind extends Contracts.ApiBaseDefinition = Contracts.ApiDefinition> extends BasePlugin<TKind> {
    protected RenderParameters(extractedData: ExtractDto, parameters: ApiParameter[]): PluginResultData | undefined;
    protected RenderReturnType(extractedData: ExtractDto, type: ApiTypes | undefined): PluginResultData | undefined;
}
