import { Contracts } from "ts-extractor";
import { ApiDefinitionBase } from "./api-definition-base";
import { ApiDefinitions } from "./api-definition-list";
import { ReferenceRenderHandler } from "../contracts/serialized-api-item";
export declare type ApiBaseItemContainerDto = Contracts.ApiBaseDefinition & {
    Members: Contracts.ApiItemReference[];
};
export declare abstract class ApiDefinitionContainer<TKind extends ApiBaseItemContainerDto = ApiBaseItemContainerDto> extends ApiDefinitionBase<TKind> {
    private members;
    readonly Members: ApiDefinitions[];
    protected MembersToText(render: ReferenceRenderHandler, members: ApiDefinitions[], tab?: number): string[];
}
