import { Contracts } from "ts-extractor";
import { SerializedApiDefinitionConstructor } from "../contracts/serialized-api-item";
import { ApiDefinitionDefault } from "./api-definition-default";
import { ApiSourceFile } from "./definitions/api-source-file";
import { ApiCall } from "./definitions/api-call";
import { ApiClass } from "./definitions/api-class";
import { ApiConstruct } from "./definitions/api-construct";
import { ApiEnum } from "./definitions/api-enum";
import { ApiEnumMember } from "./definitions/api-enum-member";
import { ApiFunction } from "./definitions/api-function";
import { ApiFunctionExpression } from "./definitions/api-function-expression";
import { ApiIndex } from "./definitions/api-index";
import { ApiInterface } from "./definitions/api-interface";
import { ApiMapped } from "./definitions/api-mapped";
import { ApiMethod } from "./definitions/api-method";
import { ApiNamespace } from "./definitions/api-namespace";
import { ApiParameter } from "./definitions/api-parameter";
import { ApiProperty } from "./definitions/api-property";
import { ApiTypeAlias } from "./definitions/api-type-alias";
import { ApiTypeParameter } from "./definitions/api-type-parameter";
import { ApiVariable } from "./definitions/api-variable";
import { ApiTypeLiteral } from "./definitions/api-type-literal";
import { ApiClassConstructor } from "./definitions/api-class-constructor";
import { ApiClassProperty } from "./definitions/api-class-property";
import { ApiClassMethod } from "./definitions/api-class-method";
import { ApiAccessor } from "./definitions/api-accessor";
export { ApiSourceFile, ApiCall, ApiClass, ApiConstruct, ApiEnum, ApiEnumMember, ApiFunction, ApiFunctionExpression, ApiIndex, ApiInterface, ApiMapped, ApiMethod, ApiNamespace, ApiParameter, ApiProperty, ApiTypeAlias, ApiTypeParameter, ApiVariable, ApiTypeLiteral, ApiClassConstructor, ApiClassProperty, ApiClassMethod, ApiAccessor };
export declare type ApiDefinitions = ApiDefinitionDefault | ApiSourceFile | ApiEnum | ApiEnumMember | ApiFunction | ApiInterface | ApiMethod | ApiNamespace | ApiParameter | ApiProperty | ApiVariable | ApiTypeAlias | ApiClass | ApiClassConstructor | ApiClassProperty | ApiClassMethod | ApiAccessor | ApiAccessor | ApiIndex | ApiCall | ApiConstruct | ApiTypeParameter | ApiTypeLiteral | ApiFunctionExpression | ApiMapped;
export declare const ApiDefinitionList: Array<[Contracts.ApiDefinitionKind, SerializedApiDefinitionConstructor<any>]>;
