import { Contracts } from "ts-extractor";
import { ApiDefinitionBase } from "./api-definition-base";
import { ApiTypes } from "./api-type-list";
export declare type ApiBaseItemWithTypeDto = Contracts.ApiBaseDefinition & {
    Type: Contracts.ApiType;
};
export declare abstract class ApiDefinitionWithType<TKind extends ApiBaseItemWithTypeDto = ApiBaseItemWithTypeDto> extends ApiDefinitionBase<TKind> {
    private type;
    readonly Type: ApiTypes;
}
