import { Contracts } from "ts-extractor";
import { SerializedApiTypeConstructor } from "../contracts/serialized-api-item";
import { ApiTypeDefault } from "./api-type-default";
import { ApiTypeBasic } from "./types/api-type-basic";
import { ApiTypeReference } from "./types/api-type-reference";
import { ApiTypeUnionOrIntersection } from "./types/api-type-union-or-intersection";
import { ApiTypeArray } from "./types/api-type-array";
import { ApiTypeTuple } from "./types/api-type-tuple";
import { ApiTypeDefinition } from "./types/api-type-definition";
import { ApiTypePredicate } from "./types/api-type-predicate";
import { ApiTypeOperator } from "./types/api-type-operator";
import { ApiIndexedAccess } from "./types/api-type-indexed-access";
import { ApiTypeParenthesized } from "./types/api-type-parenthesized";
import { ApiTypeQuery } from "./types/api-type-query";
export { ApiTypeBasic, ApiTypeReference, ApiTypeUnionOrIntersection, ApiTypeArray, ApiTypeTuple, ApiTypeDefinition, ApiTypePredicate, ApiTypeOperator, ApiIndexedAccess, ApiTypeParenthesized, ApiTypeQuery };
export declare type ApiTypes = ApiTypeDefault | ApiTypeBasic | ApiTypeReference | ApiTypeUnionOrIntersection | ApiTypeArray | ApiTypeTuple | ApiTypeDefinition | ApiTypePredicate | ApiTypeOperator | ApiIndexedAccess | ApiTypeParenthesized | ApiTypeQuery;
export declare const ApiTypeList: Array<[Contracts.ApiTypeKind, SerializedApiTypeConstructor<any>]>;
