import { Contracts } from "ts-extractor";
import { ApiDefinitionBase } from "../api-definition-base";
import { ApiTypes } from "../api-type-list";
import { ReferenceRenderHandler } from "../../contracts/serialized-api-item";
export declare type ApiAccessorKinds = Contracts.ApiGetAccessorDto | Contracts.ApiSetAccessorDto;
export declare class ApiAccessor extends ApiDefinitionBase<ApiAccessorKinds> {
    private type;
    readonly Type: ApiTypes | undefined;
    private resolveType();
    ToText(render?: ReferenceRenderHandler): string[];
    ToHeadingText(): string;
}
