import { Contracts } from "ts-extractor";
import { ApiDefinitionContainer } from "../api-definition-container";
import { ApiTypes } from "../api-type-list";
import { ApiTypeParameter } from "./api-type-parameter";
import { ReferenceRenderHandler } from "../../contracts/serialized-api-item";
export declare class ApiInterface extends ApiDefinitionContainer<Contracts.ApiInterfaceDto> {
    private typeParameters;
    readonly TypeParameters: ApiTypeParameter[];
    private extends;
    readonly Extends: ApiTypes[];
    ToText(render?: ReferenceRenderHandler): string[];
    ToHeadingText(alias?: string | undefined): string;
}
