import { Contracts } from "ts-extractor";
import { ApiTypeParameter } from "./api-type-parameter";
import { ApiDefinitionWithType } from "../api-definition-with-type";
import { ReferenceRenderHandler } from "../../contracts/serialized-api-item";
export declare class ApiMapped extends ApiDefinitionWithType<Contracts.ApiMappedDto> {
    private typeParameter;
    readonly TypeParameter: ApiTypeParameter | undefined;
    ToText(render?: ReferenceRenderHandler): string[];
    ToHeadingText(): string;
}
