import { Contracts } from "ts-extractor";
import { ApiDefinitionBase } from "../api-definition-base";
import { ApiTypes } from "../api-type-list";
import { ReferenceRenderHandler } from "../../contracts/serialized-api-item";
export declare class ApiTypeParameter extends ApiDefinitionBase<Contracts.ApiTypeParameterDto> {
    private constraintType;
    readonly ConstraintType: ApiTypes | undefined;
    private defaultType;
    readonly DefaultType: ApiTypes | undefined;
    ToText(render?: ReferenceRenderHandler, mapped?: boolean): string[];
    ToHeadingText(): string;
}
