import { Contracts } from "ts-extractor";
import { ApiTypeReferenceBase } from "../api-type-reference-base";
import { ReferenceRenderHandler } from "../../contracts/serialized-api-item";
export declare type TypeDefinitions = Contracts.TypeLiteralTypeDto | Contracts.MappedTypeDto | Contracts.FunctionTypeTypeDto | Contracts.ThisTypeDto | Contracts.ConstructorTypeDto;
export declare class ApiTypeDefinition<TKind extends Contracts.ApiReferenceBaseType = TypeDefinitions> extends ApiTypeReferenceBase<TKind> {
    ToText(render?: ReferenceRenderHandler): string[];
}
