import { Contracts } from "ts-extractor";
import { ApiTypeReferenceBase } from "../api-type-reference-base";
import { ApiTypes } from "../api-type-list";
import { ReferenceRenderHandler } from "../../contracts/serialized-api-item";
/**
 * Examples:
 * - `Foo`
 * - `Foo<string>`
 */
export declare class ApiTypeReference extends ApiTypeReferenceBase<Contracts.ApiReferenceTypeDto> {
    private typeParameters;
    readonly TypeParameters: ApiTypes[] | undefined;
    ToText(render?: ReferenceRenderHandler): string[];
}
