import * as yargs from "yargs";
export interface CliFlags {
    project: string;
    output?: string;
    entryFile: string[];
    plugin?: string[];
    exclude?: string[];
    externalPackage?: string[];
    excludePrivateApi?: boolean;
    verbosity?: string;
    dryRun?: boolean;
}
export declare type CliArguments = CliFlags & yargs.Arguments;
/**
 * Handles all CLI commands and arguments.
 */
export declare const ArgsHandler: CliArguments;
