import { Contracts } from "ts-extractor";
import { SupportedApiItemKindType, PluginResult, PluginOptions } from "../contracts/plugin";
import { BasePlugin } from "../abstractions/base-plugin";
export declare class ApiEnumPlugin extends BasePlugin<Contracts.ApiEnumDto> {
    SupportedApiDefinitionKind(): SupportedApiItemKindType[];
    CheckApiItem(item: Contracts.ApiEnumDto): boolean;
    private renderEnumTable(members);
    Render(options: PluginOptions, apiItem: Contracts.ApiEnumDto): PluginResult;
}
