import { Contracts } from "ts-extractor";
import { SupportedApiItemKindType, PluginResult, PluginOptions } from "../contracts/plugin";
import { ContainerPlugin, ContainerMembersKindsGroup } from "../abstractions/container-plugin";
export declare class ApiInterfacePlugin extends ContainerPlugin<Contracts.ApiInterfaceDto> {
    SupportedApiDefinitionKind(): SupportedApiItemKindType[];
    static readonly MemberKindsList: ContainerMembersKindsGroup[];
    private renderConstraintTypes(extractedData, extendsItems);
    private renderPropertyMembers(extractedData, members);
    Render(options: PluginOptions, apiItem: Contracts.ApiInterfaceDto): PluginResult;
}
