import { ApiItemReference } from "../contracts/api-item-reference";
import { ApiItemReferenceRegistry as ApiItemReferenceRegistryInterface } from "../contracts/api-item-reference-registry";
export declare class ApiItemReferenceRegistry<TValue> implements ApiItemReferenceRegistryInterface<TValue> {
    private map;
    private getKey(itemReference);
    AddItem(itemReference: ApiItemReference, value: TValue): void;
    GetItem(itemReference: ApiItemReference): TValue | undefined;
    Exists(itemReference: ApiItemReference): boolean;
}
